# class SvnParser - RDoc Documentation

# class SvnParser

This Class Parses SVN Repositories via HTTP

### Attributes

keep_empty_dirs[RW]
svn_root[RW]
verbose[RW]

### Public Class Methods

new(svn_root) click to toggle source

    # File lib/wpstools/plugins/list_generator/svn_parser.rb, line 7
    def initialize(svn_root)
      @svn_root    = svn_root
    end

### Public Instance Methods

parse() click to toggle source

    # File lib/wpstools/plugins/list_generator/svn_parser.rb, line 11
    def parse
      get_root_directories
    end